\name{reverseSeq}
\alias{reverseSeq}
\alias{revcompDNA}
\alias{revcompRNA}

\title{Reverse Sequence}
\description{Functions to obtain the reverse and reverse complement of a
  sequence}
\usage{
reverseSeq(seq)
revcompDNA(seq)
revcompRNA(seq)
}
\arguments{
  \item{seq}{Character vector.  For \code{revcompRNA} and
  \code{revcompDNA} the sequence should consist of appropriate letter
  codes: \code{[ACGUN]} and \code{ACGTN}, respectively.}
}
\details{
  The function reverses the order of the constituent
  character strings of its argument.
}
\value{
  A character vector of the same length as \code{seq}.
}

\author{R. Gentleman, W. Huber, S. Falcon}

\seealso{\code{\link{basecontent}},\code{\link{complementSeq}}}

\examples{
 w <-  c("hey there", "you silly fool")
 reverseSeq(w)

 w <- "able was I ere I saw Elba"
 reverseSeq(w)

rna1 <- "UGCA"
revcompRNA(rna1)

dna1 <- "TGCA"
revcompDNA(dna1)

}
\keyword{manip}
